CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
cudnn_frontend::ExecutionPlanBuilder_v8 Class Reference

`#include <cudnn_frontend_ExecutionPlan.h>`

Collaboration diagram for cudnn_frontend::ExecutionPlanBuilder_v8:

## Public Member Functions
auto | setHandle (cudnnHandle_t handle_) -> ExecutionPlanBuilder_v8 &
| Set engine for the ExecutionPlan_v8. More...
auto | setEngineConfig (EngineConfig_v8 const &engine_config_) -> ExecutionPlanBuilder_v8 &
| Set engine Config for the Plan. More...
auto | setEngineConfig (ManagedOpaqueDescriptor &desc, std::string const &opGraphTag_="") -> ExecutionPlanBuilder_v8 &
| Set engine Config for the Plan. More...
ExecutionPlan_v8 && | build ()
| ExecutionPlanBuilder_v8 ()=default
| ~ExecutionPlanBuilder_v8 ()=default
| ExecutionPlanBuilder_v8 (ExecutionPlanBuilder_v8 &&)=delete
| ExecutionPlanBuilder_v8 (ExecutionPlanBuilder_v8 const &)=delete
ExecutionPlanBuilder_v8 & | operator= (ExecutionPlanBuilder_v8 const &)=delete

## Private Attributes
ExecutionPlan_v8 | m_execution_plan

## Detailed Description

ExecutionPlanBuilder_v8 Class Helper class used to build ExecutionPlan_v8 class

Definition at line 266 of file cudnn_frontend_ExecutionPlan.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_ExecutionPlan.h